Skip to main content
POST
https://scrape.st
/
internal
/
backfill
Backfill
curl --request POST \
  --url https://scrape.st/internal/backfill \
  --header 'Content-Type: application/json' \
  --header 'x-admin-key: <x-admin-key>' \
  --data '
{
  "xuid": "<string>",
  "cursor": "<string>",
  "limit": 123
}
'

Backfill User Tweets

To backfill tweets for a user, send a POST request to the /internal/backfill endpoint. This is an internal endpoint and requires the Admin API Key.
x-admin-key
string
required
Your Admin API key.

Body Params

xuid
string
required
The Twitter User ID (REST ID) of the user to backfill.
cursor
string
Pagination cursor for fetching tweets.
limit
number
default:"50"
Number of tweets to fetch.

Example Request

curl -X POST https://scrape.st/internal/backfill \
  -H "x-admin-key: your-admin-key" \
  -H "Content-Type: application/json" \
  -d '{
    "xuid": "44196397",
    "limit": 100
  }'

Response

Returns a list of fetched tweets.
[
  {
    "id": "1234567890",
    "text": "Hello world",
    ...
  }
]